const pool = require('../db');

exports.getProducts = async (req, res) => {
    try {
      const [rows] = await pool.query('SELECT * FROM products');
      res.render('index', { products: rows });
    } catch (err) {
      res.status(500).send('Database error: ' + err.message);
    }
  };

  exports.getProductDetail = async (req, res) => {
    const productId = req.params.id;
    try {
      const [rows] = await pool.query(`
        SELECT p.*, u.email AS owner
        FROM products p
        LEFT JOIN users u ON p.owner = u.email
        WHERE p.product_id = ?`, [productId]);
  
      if (rows.length === 0) {
        return res.status(404).send('ไม่พบสินค้านี้');
      }
  
      res.render('product', { product: rows[0], currentUserEmail: req.session.userIdEmail || '' });
    } catch (err) {
      res.status(500).send('Database error: ' + err.message);
    }
  };
     